Bug 96754 - add CloseButtonTabbedPane to public API
add CloseButtonTabbedPane to public API
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Window System
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Stanislav Aubrecht
issues@platform
: API, API_REVIEW_FAST
Depends on:
Blocks: 55845
  Show dependency treegraph
 
Reported: 2007-02-28 10:29 UTC by Stanislav Aubrecht
Modified: 2010-06-24 15:27 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments
proposed implementation (55.82 KB, patch)
2007-02-28 10:30 UTC, Stanislav Aubrecht
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Aubrecht 2007-02-28 10:29:03 UTC
CloseButtonTabbedPane is a special JTabbedPane that displays small 'close'
button in each tab. it is used in output window and in refactoring/find usage
windows. however the implementation of this class is copy/pasted to each module
instead of sharing a public API.

i want to make this class publicly available through a factory class in
openide/awt, pls see attached patch.
Comment 1 Stanislav Aubrecht 2007-02-28 10:30:58 UTC
Created attachment 38967 [details]
proposed implementation
Comment 2 _ rkubacki 2007-02-28 11:06:49 UTC
please consider removing of workaround for 6420152 that was problem of
JDK6.0b84-b93. These are obsolete now and should not be used by anyone.
Comment 3 Stanislav Aubrecht 2007-03-07 12:03:20 UTC
if there are no objections, i'll integrate this tomorrow (and remove workaround
for 6420152)
Comment 4 Stanislav Aubrecht 2007-03-08 11:41:49 UTC
merged into trunk:

Checking in openide/awt/src/org/openide/awt/resources/xp_close_pressed.png;
/cvs/openide/awt/src/org/openide/awt/resources/xp_close_pressed.png,v  <-- 
xp_close_pressed.png
initial revision: 1.1
done
RCS file: /cvs/openide/awt/src/org/openide/awt/resources/metal_close_pressed.png,v
done
Checking in openide/awt/src/org/openide/awt/resources/metal_close_pressed.png;
/cvs/openide/awt/src/org/openide/awt/resources/metal_close_pressed.png,v  <-- 
metal_close_pressed.png
initial revision: 1.1
done
RCS file: /cvs/openide/awt/src/org/openide/awt/resources/metal_close_rollover.png,v
done
Checking in openide/awt/src/org/openide/awt/resources/metal_close_rollover.png;
/cvs/openide/awt/src/org/openide/awt/resources/metal_close_rollover.png,v  <-- 
metal_close_rollover.png
initial revision: 1.1
done
RCS file: /cvs/openide/awt/src/org/openide/awt/resources/xp_close_rollover.png,v
done
Checking in openide/awt/src/org/openide/awt/resources/xp_close_rollover.png;
/cvs/openide/awt/src/org/openide/awt/resources/xp_close_rollover.png,v  <-- 
xp_close_rollover.png
initial revision: 1.1
done
RCS file: /cvs/openide/awt/src/org/openide/awt/resources/win_close_enabled.png,v
done
Checking in openide/awt/src/org/openide/awt/resources/win_close_enabled.png;
/cvs/openide/awt/src/org/openide/awt/resources/win_close_enabled.png,v  <-- 
win_close_enabled.png
initial revision: 1.1
done
RCS file: /cvs/openide/awt/src/org/openide/awt/resources/vista_close_rollover.png,v
done
Checking in openide/awt/src/org/openide/awt/resources/vista_close_rollover.png;
/cvs/openide/awt/src/org/openide/awt/resources/vista_close_rollover.png,v  <-- 
vista_close_rollover.png
initial revision: 1.1
done
RCS file: /cvs/openide/awt/src/org/openide/awt/resources/mac_close_enabled.png,v
done
Checking in openide/awt/src/org/openide/awt/resources/mac_close_enabled.png;
/cvs/openide/awt/src/org/openide/awt/resources/mac_close_enabled.png,v  <-- 
mac_close_enabled.png
initial revision: 1.1
done
RCS file: /cvs/openide/awt/src/org/openide/awt/resources/vista_close_pressed.png,v
done
Checking in openide/awt/src/org/openide/awt/resources/vista_close_pressed.png;
/cvs/openide/awt/src/org/openide/awt/resources/vista_close_pressed.png,v  <-- 
vista_close_pressed.png
initial revision: 1.1
done
RCS file: /cvs/openide/awt/src/org/openide/awt/resources/mac_close_rollover.png,v
done
Checking in openide/awt/src/org/openide/awt/resources/mac_close_rollover.png;
/cvs/openide/awt/src/org/openide/awt/resources/mac_close_rollover.png,v  <-- 
mac_close_rollover.png
initial revision: 1.1
done
RCS file: /cvs/openide/awt/src/org/openide/awt/resources/vista_close_enabled.png,v
done
Checking in openide/awt/src/org/openide/awt/resources/vista_close_enabled.png;
/cvs/openide/awt/src/org/openide/awt/resources/vista_close_enabled.png,v  <-- 
vista_close_enabled.png
initial revision: 1.1
done
RCS file: /cvs/openide/awt/src/org/openide/awt/resources/metal_close_enabled.png,v
done
Checking in openide/awt/src/org/openide/awt/resources/metal_close_enabled.png;
/cvs/openide/awt/src/org/openide/awt/resources/metal_close_enabled.png,v  <-- 
metal_close_enabled.png
initial revision: 1.1
done
RCS file: /cvs/openide/awt/src/org/openide/awt/resources/mac_close_pressed.png,v
done
Checking in openide/awt/src/org/openide/awt/resources/mac_close_pressed.png;
/cvs/openide/awt/src/org/openide/awt/resources/mac_close_pressed.png,v  <-- 
mac_close_pressed.png
initial revision: 1.1
done
RCS file: /cvs/openide/awt/src/org/openide/awt/resources/win_close_pressed.png,v
done
Checking in openide/awt/src/org/openide/awt/resources/win_close_pressed.png;
/cvs/openide/awt/src/org/openide/awt/resources/win_close_pressed.png,v  <-- 
win_close_pressed.png
initial revision: 1.1
done
RCS file: /cvs/openide/awt/src/org/openide/awt/resources/xp_close_enabled.png,v
done
Checking in openide/awt/src/org/openide/awt/resources/xp_close_enabled.png;
/cvs/openide/awt/src/org/openide/awt/resources/xp_close_enabled.png,v  <-- 
xp_close_enabled.png
initial revision: 1.1
done
RCS file: /cvs/openide/awt/src/org/openide/awt/resources/win_close_rollover.png,v
done
Checking in openide/awt/src/org/openide/awt/resources/win_close_rollover.png;
/cvs/openide/awt/src/org/openide/awt/resources/win_close_rollover.png,v  <-- 
win_close_rollover.png
initial revision: 1.1
done
Removing core/output2/src/org/netbeans/core/output2/resources/xp_close_rollover.png;
/cvs/core/output2/src/org/netbeans/core/output2/resources/xp_close_rollover.png,v
 <--  xp_close_rollover.png
new revision: delete; previous revision: 1.1
done
Removing core/output2/src/org/netbeans/core/output2/resources/xp_close_enabled.png;
/cvs/core/output2/src/org/netbeans/core/output2/resources/xp_close_enabled.png,v
 <--  xp_close_enabled.png
new revision: delete; previous revision: 1.1
done
Removing
core/output2/src/org/netbeans/core/output2/resources/mac_close_rollover.png;
/cvs/core/output2/src/org/netbeans/core/output2/resources/mac_close_rollover.png,v
 <--  mac_close_rollover.png
new revision: delete; previous revision: 1.1
done
Removing core/output2/src/org/netbeans/core/output2/resources/mac_close_pressed.png;
/cvs/core/output2/src/org/netbeans/core/output2/resources/mac_close_pressed.png,v
 <--  mac_close_pressed.png
new revision: delete; previous revision: 1.1
done
Removing
core/output2/src/org/netbeans/core/output2/resources/win_close_rollover.png;
/cvs/core/output2/src/org/netbeans/core/output2/resources/win_close_rollover.png,v
 <--  win_close_rollover.png
new revision: delete; previous revision: 1.1
done
Removing
core/output2/src/org/netbeans/core/output2/resources/metal_close_pressed.png;
/cvs/core/output2/src/org/netbeans/core/output2/resources/metal_close_pressed.png,v
 <--  metal_close_pressed.png
new revision: delete; previous revision: 1.1
done
Removing core/output2/src/org/netbeans/core/output2/resources/win_close_pressed.png;
/cvs/core/output2/src/org/netbeans/core/output2/resources/win_close_pressed.png,v
 <--  win_close_pressed.png
new revision: delete; previous revision: 1.1
done
Removing
core/output2/src/org/netbeans/core/output2/resources/metal_close_enabled.png;
/cvs/core/output2/src/org/netbeans/core/output2/resources/metal_close_enabled.png,v
 <--  metal_close_enabled.png
new revision: delete; previous revision: 1.1
done
Removing
core/output2/src/org/netbeans/core/output2/resources/vista_close_enabled.png;
/cvs/core/output2/src/org/netbeans/core/output2/resources/vista_close_enabled.png,v
 <--  vista_close_enabled.png
new revision: delete; previous revision: 1.1
done
Removing core/output2/src/org/netbeans/core/output2/resources/win_close_enabled.png;
/cvs/core/output2/src/org/netbeans/core/output2/resources/win_close_enabled.png,v
 <--  win_close_enabled.png
new revision: delete; previous revision: 1.1
done
Removing core/output2/src/org/netbeans/core/output2/resources/mac_close_enabled.png;
/cvs/core/output2/src/org/netbeans/core/output2/resources/mac_close_enabled.png,v
 <--  mac_close_enabled.png
new revision: delete; previous revision: 1.1
done
Removing
core/output2/src/org/netbeans/core/output2/resources/vista_close_rollover.png;
/cvs/core/output2/src/org/netbeans/core/output2/resources/vista_close_rollover.png,v
 <--  vista_close_rollover.png
new revision: delete; previous revision: 1.1
done
Removing
core/output2/src/org/netbeans/core/output2/resources/vista_close_pressed.png;
/cvs/core/output2/src/org/netbeans/core/output2/resources/vista_close_pressed.png,v
 <--  vista_close_pressed.png
new revision: delete; previous revision: 1.1
done
Removing core/output2/src/org/netbeans/core/output2/resources/xp_close_pressed.png;
/cvs/core/output2/src/org/netbeans/core/output2/resources/xp_close_pressed.png,v
 <--  xp_close_pressed.png
new revision: delete; previous revision: 1.1
done
Removing
core/output2/src/org/netbeans/core/output2/resources/metal_close_rollover.png;
/cvs/core/output2/src/org/netbeans/core/output2/resources/metal_close_rollover.png,v
 <--  metal_close_rollover.png
new revision: delete; previous revision: 1.1
done
RCS file: /cvs/openide/awt/src/org/openide/awt/CloseButtonTabbedPane.java,v
done
Checking in openide/awt/src/org/openide/awt/CloseButtonTabbedPane.java;
/cvs/openide/awt/src/org/openide/awt/CloseButtonTabbedPane.java,v  <-- 
CloseButtonTabbedPane.java
initial revision: 1.1
done
RCS file: /cvs/openide/awt/src/org/openide/awt/TabbedPaneFactory.java,v
done
Checking in openide/awt/src/org/openide/awt/TabbedPaneFactory.java;
/cvs/openide/awt/src/org/openide/awt/TabbedPaneFactory.java,v  <-- 
TabbedPaneFactory.java
initial revision: 1.1
done
Checking in core/output2/src/org/netbeans/core/output2/ui/AbstractOutputWindow.java;
/cvs/core/output2/src/org/netbeans/core/output2/ui/AbstractOutputWindow.java,v 
<--  AbstractOutputWindow.java
new revision: 1.19; previous revision: 1.18
done
Removing core/output2/src/org/netbeans/core/output2/ui/CloseButtonTabbedPane.java;
/cvs/core/output2/src/org/netbeans/core/output2/ui/CloseButtonTabbedPane.java,v
 <--  CloseButtonTabbedPane.java
new revision: delete; previous revision: 1.15
done
Checking in openide/awt/nbproject/project.properties;
/cvs/openide/awt/nbproject/project.properties,v  <--  project.properties
new revision: 1.10; previous revision: 1.9
done
Checking in openide/awt/apichanges.xml;
/cvs/openide/awt/apichanges.xml,v  <--  apichanges.xml
new revision: 1.10; previous revision: 1.9
done
Comment 5 Jesse Glick 2010-06-24 15:27:14 UTC
Not sure what those changes were all about.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo